RDKit: RDKit::FragCatParams Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | List of all members
RDKit::FragCatParams Class Reference

container for user parameters used to create a fragment catalog More...

`#include <FragCatParams.h>`

Inheritance diagram for RDKit::FragCatParams:

## Public Member Functions
| FragCatParams ()
| FragCatParams (unsigned int lLen, unsigned int uLen, const std::string &fgroupFile, double tol=1e-08)
| construct from a function-group file
| FragCatParams (const FragCatParams &other)
| copy constructor
| FragCatParams (const std::string &pickle)
| construct from a pickle string (serialized representation)
| ~FragCatParams () override
unsigned int | getLowerFragLength () const
| returns our lower fragment length
void | setLowerFragLength (unsigned int lFrLen)
| sets our lower fragment length
unsigned int | getUpperFragLength () const
| returns our upper fragment length
void | setUpperFragLength (unsigned int uFrLen)
| sets our upper fragment length
double | getTolerance () const
| returns our fragment-comparison tolerance
void | setTolerance (double val)
| sets our fragment-comparison tolerance
unsigned int | getNumFuncGroups () const
| returns our number of functional groups
const MOL_SPTR_VECT & | getFuncGroups () const
| returns our std::vector of functional groups
const ROMol * | getFuncGroup (unsigned int fid) const
| returns a pointer to a specific functional group
void | toStream (std::ostream &) const override
| serializes (pickles) to a stream
std::string | Serialize () const override
| returns a string with a serialized (pickled) representation
void | initFromStream (std::istream &ss) override
| initializes from a stream pickle
void | initFromString (const std::string &text) override
| initializes from a string pickle
Public Member Functions inherited from RDCatalog::CatalogParams
virtual | ~CatalogParams ()=0
std::string | getTypeStr () const
| returns our type string
void | setTypeStr (const std::string &typeStr)
| sets our type string

## Additional Inherited Members
Protected Attributes inherited from RDCatalog::CatalogParams
std::string | d_typeStr
| our type string

## Detailed Description

container for user parameters used to create a fragment catalog

Definition at line 24 of file FragCatParams.h.

## Constructor & Destructor Documentation

## ◆ FragCatParams() [1/4]

RDKit::FragCatParams::FragCatParams | ( |  | ) |
| inline

Definition at line 28 of file FragCatParams.h.

References RDCatalog::CatalogParams::d_typeStr.

Referenced by FragCatParams().

## ◆ FragCatParams() [2/4]

RDKit::FragCatParams::FragCatParams | ( | unsigned int | lLen,
|  | unsigned int | uLen,
|  | const std::string & | fgroupFile,
|  | double | tol = 1e-08 )

construct from a function-group file

Parameters

  lLen | the lower limit on fragment size
  uLen | the upper limit on fragment size
  fgroupFile | the name of the function-group file
  tol | (optional) the eigenvalue tolerance to be used when comparing fragments

## ◆ FragCatParams() [3/4]

RDKit::FragCatParams::FragCatParams | ( | const FragCatParams & | other | ) |

copy constructor

References FragCatParams().

## ◆ FragCatParams() [4/4]

RDKit::FragCatParams::FragCatParams | ( | const std::string & | pickle | ) |

construct from a pickle string (serialized representation)

## ◆ ~FragCatParams()

RDKit::FragCatParams::~FragCatParams | ( |  | ) |
| override

## Member Function Documentation

## ◆ getFuncGroup()

const ROMol * RDKit::FragCatParams::getFuncGroup | ( | unsigned int | fid | ) | const

returns a pointer to a specific functional group

## ◆ getFuncGroups()

const MOL_SPTR_VECT & RDKit::FragCatParams::getFuncGroups | ( |  | ) | const

returns our std::vector of functional groups

## ◆ getLowerFragLength()

unsigned int RDKit::FragCatParams::getLowerFragLength | ( |  | ) | const
| inline

returns our lower fragment length

Definition at line 53 of file FragCatParams.h.

## ◆ getNumFuncGroups()

unsigned int RDKit::FragCatParams::getNumFuncGroups | ( |  | ) | const
| inline

returns our number of functional groups

Definition at line 68 of file FragCatParams.h.

## ◆ getTolerance()

double RDKit::FragCatParams::getTolerance | ( |  | ) | const
| inline

returns our fragment-comparison tolerance

Definition at line 63 of file FragCatParams.h.

## ◆ getUpperFragLength()

unsigned int RDKit::FragCatParams::getUpperFragLength | ( |  | ) | const
| inline

returns our upper fragment length

Definition at line 58 of file FragCatParams.h.

## ◆ initFromStream()

void RDKit::FragCatParams::initFromStream | ( | std::istream & | ss | ) |
| overridevirtual

initializes from a stream pickle

Implements RDCatalog::CatalogParams.

## ◆ initFromString()

void RDKit::FragCatParams::initFromString | ( | const std::string & | text | ) |
| overridevirtual

initializes from a string pickle

Implements RDCatalog::CatalogParams.

## ◆ Serialize()

std::string RDKit::FragCatParams::Serialize | ( |  | ) | const
| overridevirtual

returns a string with a serialized (pickled) representation

Implements RDCatalog::CatalogParams.

## ◆ setLowerFragLength()

void RDKit::FragCatParams::setLowerFragLength | ( | unsigned int | lFrLen | ) |
| inline

sets our lower fragment length

Definition at line 55 of file FragCatParams.h.

## ◆ setTolerance()

void RDKit::FragCatParams::setTolerance | ( | double | val | ) |
| inline

sets our fragment-comparison tolerance

Definition at line 65 of file FragCatParams.h.

## ◆ setUpperFragLength()

void RDKit::FragCatParams::setUpperFragLength | ( | unsigned int | uFrLen | ) |
| inline

sets our upper fragment length

Definition at line 60 of file FragCatParams.h.

## ◆ toStream()

void RDKit::FragCatParams::toStream | ( | std::ostream & |  | ) | const
| overridevirtual

serializes (pickles) to a stream

Implements RDCatalog::CatalogParams.

The documentation for this class was generated from the following file:

- FragCatParams.h